
\definecolor{ffcctt}{rgb}{1,0.8,0.2}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
\clip(-0.5,-0.5) rectangle (6.5,5);
\fill[line width=1pt,fill=ffcctt!30] (0,0) -- (6,0) -- (6,4.5) -- (3,4.5) -- cycle;
\draw[line width=0.8pt, fill=ffcctt] (6,0.42426406871192845) -- (5.575735931288071,0.4242640687119285) -- (5.575735931288071,0) -- (6,0) -- cycle; 
\draw[line width=0.8pt, fill=ffcctt] (5.575735931288071,4.5) -- (5.575735931288071,4.075735931288071) -- (6,4.075735931288071) -- (6,4.5) -- cycle; 
\draw [shift={(0,0)},line width=0.8pt] (0,0) -- (0:0.6) arc (0:56.30993247402017:0.6) -- cycle;
\draw [line width=1pt] (0,0)-- node[below] {6cm} (6,0);
\draw [line width=1pt] (6,0)-- node[right] {\rotatebox{90}{4,5cm}} (6,4.5);
\draw [line width=1pt] (6,4.5)-- node[above] {3cm} (3,4.5);
\draw [line width=1pt] (3,4.5)-- (0,0);
\draw (-0.25,-0.25) node {$I$};
\draw (6.25,-0.25) node {$O$};
\draw (6.25,4.75) node {$M$};
\draw (2.75,4.75) node {$A$};
\end{tikzpicture}